import { AwsFaastModule } from "../../index";
export declare function quietly<T>(p: Promise<T>): Promise<void | T | undefined>;
export declare function getAWSResources(mod: AwsFaastModule, includeLogGroup?: boolean): Promise<{
    logGroupResult: import("@aws-sdk/client-cloudwatch-logs").LogGroup | undefined;
    functionResult: void | import("@aws-sdk/client-lambda").GetFunctionConfigurationCommandOutput | undefined;
    snsResult: void | import("@aws-sdk/client-sns").GetTopicAttributesCommandOutput | undefined;
    sqsResult: void | import("@aws-sdk/client-sqs").GetQueueAttributesCommandOutput | undefined;
    subscriptionResult: void | import("@aws-sdk/client-sns").ListSubscriptionsByTopicCommandOutput | undefined;
    layerResult: void | import("@aws-sdk/client-lambda").GetLayerVersionCommandOutput | undefined;
    s3Result: void | "" | import("@aws-sdk/client-s3").ListObjectsV2CommandOutput | undefined;
}>;
